## ksuperkey 0.4

=== Makefile ===
INSTALL=install
PREFIX=/usr

TARGET := ksuperkey

CFLAGS += -Wall
CFLAGS += `pkg-config --cflags xtst x11`
LDFLAGS += `pkg-config --libs xtst x11`
LDFLAGS += -pthread

all: $(TARGET)

$(TARGET): xcape.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

install:
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 $(TARGET) $(DESTDIR)$(PREFIX)/bin/$(TARGET)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(TARGET)

clean:
	if [ -e $(TARGET) ]; then rm $(TARGET); fi

.PHONY: all clean install

=== debian/changelog ===
ksuperkey (0.4-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper compat 9.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Jul 2018 14:34:53 -0700

ksuperkey (0.4-0ppa0~xenial) xenial; urgency=low

  * New upstream release.
  * Install new manpage.
  * Make lintian happy:
   - rename the manpage to match binary name
   - fix copyright file
   - fix build depends
   - fix description
   - enable hardening
   - remove empty README.Debian and README.Source
   - update to debian-standards to 3.9.8 (no changes).

  Thanks to Maurizio Avogadro di Cerrione <mavoga@gmail.com> for this work.

 -- Eugene Mikhantiev <mikhantiev@gmail.com>  Tue, 17 May 2016 23:55:12 +0600

ksuperkey (0.1+git20130501-0ppa0~wily0) wily; urgency=low

  * X-KDE-autostart-phase=1

 -- Eugene Mikhantiev <mikhantiev@gmail.com>  Wed, 01 May 2013 12:33:05 +0700

ksuperkey (0.1+git20130331-0ppa0~raring0) raring; urgency=low

  * Initial release 

 -- Eugene Mikhantiev <mikhantiev@gmail.com>  Sun, 28 Apr 2013 09:49:16 +0700

=== debian/control ===
Source: ksuperkey
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Eugene Mikhantiev <mikhantiev@gmail.com>
Build-Depends: debhelper (>= 9), libx11-dev, libxtst-dev, pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/hanschen/ksuperkey

Package: ksuperkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: allows you to open the application launcher using the Super key
 ksuperkey allows you to open the application launcher in KDE Plasma Desktop 
 using the Super key (also known as the 'Windows key'). Unlike other solutions, 
 it will not affect your current keyboard shortcuts, as the Super key will 
 still act as a modifier when held down.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wextra

override_dh_installman:
	cp -a xcape.1 ksuperkey.1
	dh_installman
	rm -f ksuperkey.1

%:
	dh $@ --parallel
